settings_iterator_t Struct Reference

Struct holding options to iterate over a GKeyFile. More...

`#include <settings.h>`

## Data Fields

gchar ** | keys
settings_t | settings
gchar ** | current_key
gchar ** | last_key

## Detailed Description

Struct holding options to iterate over a GKeyFile.

## Field Documentation

## current_key

gchar** settings_iterator_t::current_key

Pointer to the current key.

## keys

gchar** settings_iterator_t::keys

Keys.

## last_key

gchar** settings_iterator_t::last_key

Pointer to the last keys.

## settings

settings_t settings_iterator_t::settings

Settings structure.

The documentation for this struct was generated from the following file:

- base/settings.h